gnutls_pkcs11_obj_flags_get_str(3)

NAME
gnutls_pkcs11_obj_flags_get_str - API function

SYNOPSIS
#include <gnutls/pkcs11.h>

char * gnutls_pkcs11_obj_flags_get_str(unsigned int flags);

ARGUMENTS

unsigned int flags
    holds the flags

DESCRIPTION
This function given an or-sequence of GNUTLS_PKCS11_OBJ_FLAG_MARK, will return an allocated string with its description. The string needs to be deallocated using gnutls_free().

RETURNS
If flags is zero NULL is returned, otherwise an allocated string.

SINCE
3.3.7

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2014 Free Software Foundation, Inc..
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/